// Navigation
$nav-height: 50px;
.navigation {
    background-color: $color-default;
    height: $nav-height;
    left: 0;
    padding: 0 15px;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 1;
    @media (min-width: $screen-min-width-xl) {
        height: 100%;
        padding: 0;
        transition-duration: $navigation-transition-duration;
        transition-property: width;
        transition-timing-function: $navigation-transition-timing-function;
        width: 60px;
    }
    &__toggler {
        bottom: 0;
        cursor: pointer;
        height: 33px;
        left: 15px;
        margin: auto 0;
        padding: 0;
        position: absolute;
        top: 0;
        transform: rotate(0deg);
        transition-duration: $navigation-transition-duration;
        transition-property: transform;
        transition-timing-function: $navigation-transition-timing-function;
        @media (min-width: $screen-min-width-xl) {
            bottom: auto;
            top: 9px;
            z-index: 1;
        }
        &.expanded-menu {
            transform: rotate(180deg);
        }
        &-icon {
            background-color: $color-primary;
            display: block;
            height: 3px;
            margin: 6px 0;
            opacity: 1;
            transform: translateY(0) rotate(0deg);
            transition-duration: $navigation-transition-duration;
            transition-property: opacity, transform;
            transition-timing-function: $navigation-transition-timing-function;
            width: 30px;
            &:nth-child(1) {
                .expanded-menu & {
                    transform: translateY(9px) rotate(45deg);
                }
            }
            &:nth-child(2) {
                .expanded-menu & {
                    opacity: 0;
                }
            }
            &:nth-child(3) {
                .expanded-menu & {
                    transform: translateY(-9px) rotate(-45deg);
                }
            }
        }
    }
    &__collapse {
        background-color: $color-default;
        list-style-image: none;
        list-style-position: outside;
        list-style-type: none;
        margin: 0;
        opacity: 0;
        padding: 30px 40px;
        position: absolute;
        top: $nav-height;
        transition-duration: $navigation-transition-duration;
        transition-property: opacity, top, visibility;
        transition-timing-function: $navigation-transition-timing-function;
        visibility: hidden;
        @media (min-width: $screen-min-width-xl) {
            bottom: 0;
            display: flex;
            flex-direction: column;
            justify-content: center;
            opacity: 1;
            overflow: hidden;
            padding: 0;
            top: 0;
            transition-duration: $navigation-transition-duration;
            transition-property: opacity, width;
            transition-timing-function: $navigation-transition-timing-function;
            visibility: visible;
            width: 60px;
        }
        &::before {
            border-bottom: 15px solid $color-default;
            border-left: 15px solid transparent;
            border-right: 15px solid transparent;
            border-top: 15px solid transparent;
            content: "";
            left: 0;
            position: absolute;
            top: -30px;
            @media (min-width: $screen-min-width-xl) {
                display: none;
            }
        }
        &.expanded-menu {
            opacity: 1;
            top: $nav-height + 20px;
            visibility: visible;
            @media (min-width: $screen-min-width-xl) {
                top: 0;
                width: 230px;
            }
        }
    }
    &__item {
        border-top: 1px solid lighten($color-default, 10%);
        @media (min-width: $screen-min-width-xl) {
            border-width: 0;
            position: relative;
        }
        &:last-child {
            border-bottom: 1px solid lighten($color-default, 10%);
            @media (min-width: $screen-min-width-xl) {
                border-width: 0;
            }
        }
    }
    &__link {
        color: $color-primary;
        display: block;
        padding: 8px 10px;
        transition-duration: $navigation-transition-duration;
        transition-property: color;
        transition-timing-function: $navigation-transition-timing-function;
        @media (min-width: $screen-min-width-xl) {
            padding: 15px 20px 15px 60px;
            white-space: nowrap;
        }
        .active & {
            color: $font-color-dark-background;
        }
        &:hover {
            color: $font-color-dark-background;
            text-decoration: none;
        }
        &::before {
            @media (min-width: $screen-min-width-xl) {
                background-color: lighten($color-default, 10%);
                border-radius: 50%;
                bottom: 0;
                content: "";
                height: 16px;
                left: 22px;
                margin: auto 0;
                position: absolute;
                top: 0;
                transition-duration: $navigation-transition-duration;
                transition-property: background-color;
                transition-timing-function: $navigation-transition-timing-function;
                width: 16px;
            }
            .active>& {
                @media (min-width: $screen-min-width-xl) {
                    background-color: $color-primary;
                }
            }
        }
    }
}